ssossossosso

Forums

Covering OroCRM topics, including community updates and company announcements.  Subscribe

This topic contains 11 replies, has 3 voices, and was last updated by  clmd 2 years, 6 months ago.

  • Creator
    Topic
  • #9484

    clmd
    Participant

    I am still having issues with the installation of the MailChimp plugin. Any ideas? Am I doing something incorrect?

    Your requirements could not be resolved to an installable set of packages.

    Problem 1
    – Installation request for oro/crm-mail-chimp 1.2.1 -> satisfiable by oro/crm-mail-chimp[1.2.1].
    – Installation request for composer/composer == 1.0.0.0-alpha8 -> satisfiable by composer/composer[1.0.0-alpha8].
    – remove oro/platform 1.x-dev|keep oro/platform dev-master
    – Conclusion: remove oro/platform dev-master
    – oro/platform 1.x-dev requires composer/composer 1.0.0-alpha9 -> satisfiable by composer/composer[1.0.0-alpha9].
    – oro/platform 1.x-dev requires composer/composer 1.0.0-alpha9 -> satisfiable by composer/composer[1.0.0-alpha9].
    – Conclusion: don’t install composer/composer 1.0.0-alpha9
    – Installation request for oro/platform == 1.9999999.9999999.9999999-dev -> satisfiable by oro/platform[1.x-dev].

    Thanks for any help!

    Brandon
    CLMD

Viewing 11 replies - 1 through 11 (of 11 total)
  • Author
    Replies
  • #9494

    Hi,
    Composer error says you are trying to install mailchimp bundle with specific version to 1.x-dev of crm/platform. In this case you need to install mailchimp 1.x-dev version instead of stable one

    #9496

    clmd
    Participant

    Roman,

    Thanks for the response. So the exact install command would be?

    php composer.phar require oro/crm-mail-chimp:1.2-dev

    Brandon
    CLMD

    #9512

    Hi,
    php composer.phar require oro/crm-mail-chimp:1.x-dev

    #9517

    clmd
    Participant

    Roman – thanks that worked. Now when I attempt to clear the cache so I am able to see the new MailChimp integration I receive the following error:

    [Symfony\Component\DependencyInjection\Exception\RuntimeException]
    The parent definition “oro_soap.manager.entity_manager.abstract” defined for definition “orocrm_mailchimp.static_segment.manager.api” does not exist.

    What am I missing – or how can I address this issue?

    Thank you,

    Brandon
    CLMD

    #9575

    clmd
    Participant

    Further information – this is the error in the logs:

    PHP Fatal error: Uncaught exception ‘Symfony\\Component\\DependencyInjection\\Exception\\RuntimeException’ with message ‘The parent definition “oro_soap.manager.entity_manager.abstract” defined for definition “orocrm_mailchimp.static_segment.manager.api” does not exist.’ in /var/www/html/orocrm/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/Compiler/ResolveDefinitionTemplatesPass.php:67\nStack trace:\n#0 /var/www/html/orocrm/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/Compiler/ResolveDefinitionTemplatesPass.php(50): Symfony\\Component\\DependencyInjection\\Compiler\\ResolveDefinitionTemplatesPass->resolveDefinition(‘orocrm_mailchim…’, Object(Symfony\\Component\\DependencyInjection\\DefinitionDecorator))\n#1 /var/www/html/orocrm/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/Compiler/Compiler.php(118): Symfony\\Component\\DependencyInjection\\Compiler\\ResolveDefinitionTemplatesPass->process(Object(Symfony\\Component\\DependencyInjection\\ContainerBuilder))\n#2 /var/www/html/orocrm/vendor/s in /var/www/html/orocrm/vendor/symfony/symfony/src/Symfony/Component/DependencyInjection/Compiler/ResolveDefinitionTemplatesPass.php on line 67

    Any ideas?

    Brandon
    CLMD

    #9690

    After “composer require” command you need to execute extension installation according with http://www.orocrm.com/documentation/index/current/cookbook/how-to-install-extension-from-command-line#using-composer

    #9705

    clmd
    Participant

    Roman,

    Thanks – I just tried it. I still receive the same error on the command line output. At this point, I am almost ready to start over with a new installation as the entire process has been very frustrating.

    Any ideas of the next steps?

    Thanks – Brandon

    #9708
    Dima Soroka
    Dima Soroka
    Oro Core

    Hi Brandon

    Are you using stable version of OroCRM or you are working based on dev master?

    Thanks
    Dima

    #9712

    clmd
    Participant

    Dima:

    I suppose the dev master since I installed it by cloning the git repo several months ago (Sept. 2014). Is there a place I can view the version?

    Thanks again for your help!

    Brandon
    CLMD

    #9713
    Dima Soroka
    Dima Soroka
    Oro Core

    You can check the version under “System” > “System Information” menu.

    In order to streamline your experience of working with OroCRM application i would recommend to use latest stable version.

    #9714

    clmd
    Participant

    Dima,

    If you see my other messages in the forum, I am unable to even access my OroCRM instance. Thus, I would be unable to access the menu you mentioned. So, how would you recommend installing the latest stable vesion and still retain my current data (contacts and accounts are only what I have)?

    It sounds like this might be the way to go. I look forward to your response.

    Brandon
    CLMD

Viewing 11 replies - 1 through 11 (of 11 total)

You must be logged in to reply to this topic.